local _channels = { }
local _sounds = { }

function newSound(sound, looping, volume, pitch)
	local looping = looping or false
	local volume = volume or 1
	local pitch = pitch or 1

	local s = string.gsub(sound, ".ogg", "")
	local ss = string.gsub(s, "sfx/", "")

	_sounds[ss] = {}
	
	_sounds[ss].data = love.sound.newSoundData(sound)
	_sounds[ss].looping = looping
	_sounds[ss].vol = volume
	_sounds[ss].pit = pitch
end

function playSound ( sound )
	if not _channels[ sound ] then _channels[ sound ] = { } end
	local chan = _channels[ sound ]
	
	local free = 0
	for num, src in pairs ( chan ) do
		if src:isStopped ( ) then free = num; break end
	end
	if free == 0 then 
		free = #chan + 1
		chan[ free ] = love.audio.newSource ( _sounds[ sound ].data )
	  	chan[ free ]:setLooping( _sounds[ sound ].looping )
	  	chan[ free ]:setVolume( _sounds[ sound ].vol )
	  	chan[ free ]:setPitch( _sounds[ sound ].pit )
	end
	chan[ free ]:play ( )

	return free
end

function durationSound( sound )
	return _sounds[ sound ].data:getDuration()
end

function stopSound ( sound, i )
	local chan = _channels[ sound ]
	chan[ i ]:stop ( )
end