require ("lib/typo")
require ("lib/sound")

flux = require ("lib/flux")

local states = {}

states["menu"] = require("stt/menu")
states["game"] = require("stt/game")

love.graphics.setDefaultFilter("nearest", "nearest")
w, h = love.graphics.getDimensions()

gameState = "game"

function love.load()
	love.graphics.setBackgroundColor(255, 255, 255)

	states["menu"]:load()
	states["game"]:load()
end

function love.update(dt)
	flux.update(dt)

	states[gameState]:update(dt)
end

function love.draw()
	states[gameState]:draw()
end

function love.keypressed(key)
	states[gameState]:key(key)
end

function love.keyreleased(key)
	states[gameState]:unkey(key)
end